1. Watch
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
        POST
      • Get All Product Watches
        GET
      • Get Specific Product Watch
        GET
      • Get Specific Product Watch from Metadata
        GET
      • Edit Product Watch
        PUT
      • Delete Product Watch
        DELETE
      • Get Single Product Watch Notification History
        GET
      • Get Product Watch Notification History via Metadata
        GET
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Watch

Get Specific Product Watch from Metadata

Testing
GET
/v1/products/watches

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '/v1/products/watches?metadata[metadata_created]=value_created' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200OK
application/json
Body

Example
{
    "meta": {
        "total": 2,
        "from": 1,
        "to": 2,
        "current_page": 1,
        "last_page": 1,
        "per_page": 100,
        "fields": [],
        "trace_id": "0195cedc-b193-7096-8df4-e7104abf799d"
    },
    "data": [
        {
            "watch_id": "9e84ce37-63be-41cf-87ef-72465fb8ead2",
            "name": " Testing Watch 01",
            "target_type": "product",
            "target_id": "1301920351976391947",
            "status": "active",
            "metadata": {
                "key1": "value1",
                "key16": "value16"
            },
            "rules": [
                {
                    "field": "final_price",
                    "start_value": 9840,
                    "condition": "changed",
                    "threshold": {
                        "type": null,
                        "value": null
                    }
                }
            ],
            "notifications": [
                {
                    "channel": "webhook",
                    "channel_target": "https://webhookhere.com",
                    "frequency": "immediately",
                    "enabled": true
                }
            ]
        },
        {
            "watch_id": "9e84ce38-336e-4923-aa55-d23630684e04",
            "name": "Testing Watch 01",
            "target_id": "1062900034486247121",
            "status": "active",
            "metadata": {
                "key1": "value1",
                "key16": "value16"
            },
            "rules": [
                {
                    "field": "final_price",
                    "start_value": 8000,
                    "condition": "changed",
                    "threshold": {
                        "type": null,
                        "value": null
                    }
                }
            ],
            "notifications": [
                {
                    "channel": "webhook",
                    "channel_target": "https://webhookhere.com",
                    "frequency": "immediately",
                    "enabled": true
                }
            ],
            "filters": [],
            "expire_timestamp": 1774751812
        }
    ]
}
🟠429Rate Limit Exceeded
Modified at 2025-12-31 14:51:08
Previous
Get Specific Product Watch
Next
Edit Product Watch